Bug 157839 - NullPointerException at org.netbeans.modules.mobility.cldcplatform.wizard.FindPanel.isValid
NullPointerException at org.netbeans.modules.mobility.cldcplatform.wizard.Fin...
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: Build System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Suchomel
issues@mobility
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 65fixes3-verified
:
Depends on: 154624
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 12:37 UTC by cesva
Modified: 2009-07-21 07:13 UTC (History)
12 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (10.42 KB, text/plain)
2009-02-03 12:37 UTC, cesva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cesva 2009-02-03 12:37:46 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

User Comments:
cesva: I was adding the platform Siemens IMP-NG TC65 R3 Wireless Toolkit, but only pressing the button Add Platform and selecting the Java ME MIDP Platform Emulator I had the error and can't continue.

GUEST: Trying to add j2me toolkit

cesva: I was adding the platform Siemens IMP-NG TC65 R3 Wireless Toolkit, but only pressing the button Add Platform and selecting the Java ME MIDP Platform Emulator I had the error and can't continue.



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.mobility.cldcplatform.wizard.FindPanel.isValid(FindPanel.java:240)
        at java.awt.Component.invalidateIfValid(Component.java:2740)
        at java.awt.Component.setLocale(Component.java:1810)
        at javax.swing.JComponent.<init>(JComponent.java:595)
        at javax.swing.JPanel.<init>(JPanel.java:65)
        at javax.swing.JPanel.<init>(JPanel.java:92)
Comment 1 cesva 2009-02-03 12:37:51 UTC
Created attachment 76510 [details]
stacktrace
Comment 2 Exceptions Reporter 2009-02-06 11:13:16 UTC
This issue has already 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=144544
Comment 3 Petr Suchomel 2009-02-16 10:26:49 UTC
Fixed in trunk
Comment 4 Andrei Chistiakov 2009-02-17 12:50:52 UTC
Verified with  NetBeans IDE Dev (Build 200902161401).
Comment 5 Marian Mirilovic 2009-03-03 14:33:03 UTC
http://hg.netbeans.org/release65_fixes/rev/5e58d42be709
Comment 6 Andrei Chistiakov 2009-03-05 16:16:24 UTC
Verified with NetBeans IDE 6.5.1 (Build 200903050001)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo